CREATE DATABASE emsobraunaentrada;

CREATE TABLE IF NOT EXISTS `usuari` (
 `nom` varchar(30) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
 `mail` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
 `localitat` varchar(55) CHARACTER SET utf8 COLLATE utf8_bin,
 `paraulaDePas` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
 `clauApi` varchar(60),
 PRIMARY KEY (mail)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `publicacio` (
 `idPublicacio` int(10) NOT NULL AUTO_INCREMENT,
 `titol` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
 `localitat` varchar(55) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
 `data` datetime NOT NULL,
 `entrades` int(3) NOT NULL,
 `preu` double(11,2) NOT NULL,
 `descripcio` varchar(1000) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL, 
 `mailUsuari` varchar(255) NOT NULL,
 `nomCategoria` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
 `dataPublicacio` datetime,
 PRIMARY KEY (idPublicacio),
 FOREIGN KEY (mailUsuari) REFERENCES Usuari(mail)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;